- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyGetWorkflowInstance#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyGetWorkflowInstance

Returns the specific runtime instance (either completed or pending) of a playbook associated with a given alert.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyGetWorkflowInstance`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the workflow instance for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "caseId": string, "alertIdentifier": string, "definitionIdentifier": string, "nestedStepIdentifier": string, "parentWorkflowInstanceId": string, "loopsRequestedIterations": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiLoopIterationRequest`) } ], "parentWorkflowLoopIteration": integer, "shouldFetchSteps": boolean, "collapseBlocks": boolean } ``` |

| Fields ||
|---|---|
| `caseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The case id. |
| `alertIdentifier` | `string` Optional. The alert identifier. |
| `definitionIdentifier` | `string` Required. The definition identifier. |
| `nestedStepIdentifier` | `string` Optional. The nested step identifier. |
| `parentWorkflowInstanceId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. The parent workflow instance id. |
| `loopsRequestedIterations[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiLoopIterationRequest`)`` Optional. The loops requested iterations. |
| `parentWorkflowLoopIteration` | `integer` Optional. The parent workflow loop iteration. |
| `shouldFetchSteps` | `boolean` Optional. Indicates if the steps should be fetched. |
| `collapseBlocks` | `boolean` Optional. Indicates if the blocks should be collapsed. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/ApiWorkflowInstanceDataModel`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).